#ifndef IMB3_ISRDISPATCH_H
#define IMB3_ISRDISPATCH_H

//----------------------------------
// Includes and forward declarations
//----------------------------------
#include "cyg/hal/hal_isrdispatch.h"

#if !defined(CYG_HAL_STARTUP_STUBS) && defined(CYG_HAL_MPC555)
class IMB3_isrSource;

//------------------
// Class declaration
//------------------
class IMB3_isrDispatcher : public HAL_isrDispatcher
{
  public:
                       IMB3_isrDispatcher();
    virtual            ~IMB3_isrDispatcher();
  
    bool               attachToPriority(IMB3_isrSource * a_source, unsigned char a_priority);

  protected:
    virtual bool       setInterruptingLevel(unsigned char a_level);
    virtual void       enableInterruptingDevice(void);
    virtual void       disableInterruptingDevice(void);
    virtual cyg_uint32 findInterruptingVector(void);

  private:
    IMB3_isrSource *   m_sources[32];
    unsigned char      m_siulevel;
};
#endif // if !defined ...

#endif // IMB3_ISRDISPATCH_H
