#include <cyg/kernel/kapi.h>
#include <stdio.h>

cyg_resolution_t resolution = { 100000, 1 };
cyg_handle_t clockhandle;
cyg_handle_t counterhandle;
cyg_clock clock;

int main()
{
  cyg_clock_create(resolution, &clockhandle, &clock);
  cyg_clock_to_counter(clockhandle, &counterhandle);

  cyg_thread_delay(100);

  printf("%d", cyg_counter_current_value(counterhandle));

  return 0;
}
