#ifndef MIOS_ISRSOURCE_H
#define MIOS_ISRSOURCE_H

//----------------------------------
// Includes and forward declarations
//----------------------------------
#include "cyg/hal/imb3_isrsource.h"

#if !defined(CYG_HAL_STARTUP_STUBS) && defined(CYG_HAL_MPC555)
//------------------
// Class declaration
//------------------
class MIOS_isrSource : public IMB3_isrSource
{
  public:
    typedef enum {
      MIOS_A,
      MIOS_B
    } MIOS_IDENTIFICATION;
                           MIOS_isrSource(IMB3_isrDispatcher * a_dispatcher,
                                          unsigned char a_isrpriority,
                                          MIOS_IDENTIFICATION a_identification);
    virtual                ~MIOS_isrSource();

    // Overloaded virtuals from base class IMB3_isrSource
    virtual cyg_uint32     findInterruptingVector(unsigned char a_priority);
    virtual void           enableInterrupts(void);
    virtual void           disableInterrupts(void);

  private:
    unsigned char          m_priority;
    MIOS_IDENTIFICATION    m_identification;
};
#endif // if !defined ...

#endif // MIOS_ISRSOURCE_H
